# Supported Documents

This endpoint allows you to retrieve a list of all documents supported by our [Document Checks](/documentation/api-reference/check-types/document-check.md) service.

The lists are updated periodically, so the returned values are expected to change.

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/static/supportedDocuments`

Retrieves all supported document types and country combinations.

### Headers

<table><thead><tr><th width="252">Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <strong><code>live</code></strong> or <strong><code>test</code></strong> key.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/static/supportedDocuments \
     -H 'Authorization: <YOUR_API_KEY>' 
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const screeningLists = await complycube.static.listSupportedDocuments();
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
  "document_check": {
    "passport": {
      "AE": {
        "sides": 1
      },
      "AD": {
        "sides": 1
      },
      "AE": {
        "sides": 1
      },
      "AF": {
        "sides": 1
      }
    }
    ...
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/static-data/screening-lists-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
